SeExpr

Public Member Functions | Public Attributes | List of all members
ExprGraphPreview Struct Reference
Inheritance diagram for ExprGraphPreview:

## Public Member Functions
| ExprGraphPreview (QWidget *parent=0)
QPointF | toScreen (float x, float y)
void | paintEvent (QPaintEvent *event)

## Public Attributes
std::vector< float > | x
std::vector< float > | y
std::vector< float > | cpx
std::vector< float > | cpy
float | xmin
float | xmax
float | ymin
float | ymax
float | dx
float | dy
float | win_xmin
float | win_xmax
float | win_ymin
float | win_ymax
float | win_dx
float | win_dy

## Detailed Description

Definition at line 475 of file ExprControl.cpp.

## Constructor & Destructor Documentation

## ◆ ExprGraphPreview()

ExprGraphPreview::ExprGraphPreview | ( | QWidget * | parent = `0` | ) |
| inline

Definition at line 482 of file ExprControl.cpp.

References win_xmax, win_xmin, win_ymax, and win_ymin.

## Member Function Documentation

## ◆ paintEvent()

void ExprGraphPreview::paintEvent | ( | QPaintEvent * | event | ) |
| inline

Definition at line 491 of file ExprControl.cpp.

References cpx, cpy, toScreen(), win_dx, win_dy, win_xmax, win_xmin, win_ymax, win_ymin, x, xmax, xmin, y, ymax, and ymin.

## ◆ toScreen()

QPointF ExprGraphPreview::toScreen | ( | float | x,
|  | float | y
| ) |  |
| inline

Definition at line 489 of file ExprControl.cpp.

References win_dx, win_dy, win_xmin, win_ymin, x, and y.

Referenced by paintEvent().

## Member Data Documentation

## ◆ cpx

std::vector<float> ExprGraphPreview::cpx

Definition at line 477 of file ExprControl.cpp.

Referenced by paintEvent().

## ◆ cpy

std::vector<float> ExprGraphPreview::cpy

Definition at line 477 of file ExprControl.cpp.

Referenced by paintEvent().

## ◆ dx

float ExprGraphPreview::dx

Definition at line 478 of file ExprControl.cpp.

## ◆ dy

float ExprGraphPreview::dy

Definition at line 478 of file ExprControl.cpp.

## ◆ win_dx

float ExprGraphPreview::win_dx

Definition at line 479 of file ExprControl.cpp.

Referenced by paintEvent(), and toScreen().

## ◆ win_dy

float ExprGraphPreview::win_dy

Definition at line 479 of file ExprControl.cpp.

Referenced by paintEvent(), and toScreen().

## ◆ win_xmax

float ExprGraphPreview::win_xmax

Definition at line 479 of file ExprControl.cpp.

Referenced by ExprGraphPreview(), and paintEvent().

## ◆ win_xmin

float ExprGraphPreview::win_xmin

Definition at line 479 of file ExprControl.cpp.

Referenced by ExprGraphPreview(), paintEvent(), and toScreen().

## ◆ win_ymax

float ExprGraphPreview::win_ymax

Definition at line 479 of file ExprControl.cpp.

Referenced by ExprGraphPreview(), and paintEvent().

## ◆ win_ymin

float ExprGraphPreview::win_ymin

Definition at line 479 of file ExprControl.cpp.

Referenced by ExprGraphPreview(), paintEvent(), and toScreen().

## ◆ x

std::vector<float> ExprGraphPreview::x

Definition at line 476 of file ExprControl.cpp.

Referenced by paintEvent(), and toScreen().

## ◆ xmax

float ExprGraphPreview::xmax

Definition at line 478 of file ExprControl.cpp.

Referenced by paintEvent().

## ◆ xmin

float ExprGraphPreview::xmin

Definition at line 478 of file ExprControl.cpp.

Referenced by paintEvent().

## ◆ y

std::vector<float> ExprGraphPreview::y

Definition at line 476 of file ExprControl.cpp.

Referenced by paintEvent(), and toScreen().

## ◆ ymax

float ExprGraphPreview::ymax

Definition at line 478 of file ExprControl.cpp.

Referenced by paintEvent().

## ◆ ymin

float ExprGraphPreview::ymin

Definition at line 478 of file ExprControl.cpp.

Referenced by paintEvent().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControl.cpp